PMAT-DIFF(1p)

NAME
pmat-diff - print a list of SVs unique to each of two given files

SYNOPSIS
   $ pmat-diff test-1.pmat test-1-after.pmat

DESCRIPTION
Given two .pmat files, compares them and prints a list of SVs unique to each, and a count of those found common to both. This is only useful if the two files were generated by the same process, usually at similar times, such as either side of a memory leak test as created by "Test::MemoryGrowth".

For each file, the SVs unique to it are gathered up into a forest of trees by reference, because in typical usage patterns it usually ends up that several SVs are all referenced by one container. It often helps when tracking down memory leaks to focus on those outer containers, rather than the inner SVs they contain.

AUTHOR
Paul Evans <leonerd@leonerd.org.uk>